cancel
Showing results for 
Search instead for 
Did you mean: 
Reply
Highlighted
New Member

Cada vez que intento ejecutar python obtengo el mismo error

Hola

Estoy tratando de ejecutar un script python en powerbi pero cada vez que intento obtengo este error:

Detalles: ADO.NET: Ρуτћǿŋ яįþτ эѓгŏя.
C:-USUARIOS-MVANDENBOOM-APPDATA-LOCAL-CONTINUUM-ANACONDA3-lib-site-packages-numpy-__init__.py:138: UserWarning: mkl-service package no se pudo importar, por lo tanto, la inicialización de Intel(R) MKL garantiza su correcta operación de fábrica en condiciones cuando GnuMP Open ya había sido cargado por el proceso de Python no está asegurada. Instale el paquete mkl-service, consulte http://github.com/IntelPython/mkl-service
De. importación _distributor_init
Traceback (última llamada más reciente):
Archivo "PythonScriptWrapper.PY", línea 2, en <module>
import os, pandas, matplotlib
Archivo "C:-USERS-MVANDENBOOM-APPDATA-LOCAL-CONTINUUM-ANACONDA3-lib-site-packages-pandas-__init__.py", línea 17, en <module>
"No se pueden importar las dependencias requeridas: s" + "n".join(missing_dependencies)
ImportError: No se pueden importar las dependencias necesarias:
numpy:

IMPORTANTE: POR FAVOR LEA ESTO PARA CONSEJOS SOBRE CÓMO RESOLVER ESTE PROBLEMA!

Error al importar las extensiones C de numpy. Este error puede ocurrir para
muchas razones, a menudo debido a problemas con su configuración o cómo NumPy fue
Instalado.

Hemos recopilado algunas razones comunes y consejos para solucionar problemas en:

https://numpy.org/devdocs/user/troubleshooting-importerror.html

Tenga en cuenta y compruebe lo siguiente:

* La versión de Python es: Python3.7 de "C:-USERS-MVANDENBOOM-APPDATA-LOCAL-CONTINUUM-ANACONDA3-python.exe"
* La versión NumPy es: "1.19.1"

y asegúrese de que son las versiones que espera.
Por favor, estudie cuidadosamente la documentación enlazada anteriormente para obtener más ayuda.

Error original: Error en la carga de DLL: No se puede encontrar el módulo especificado.

No parece importar qué código ejecuto.

Estoy usando la última versión de Anaconda y he instalado pandas, matplotlib, numpy y mkl-service.

He probado con Python versión 3.7 y 3.8 también.

Espero que alguien pueda ayudarmea 🙏

Atentamente

Meggie

1 ACCEPTED SOLUTION
2 REPLIES 2
Highlighted

Helpful resources

Announcements
Community Conference

Power Platform Community Conference

Check out the on demand sessions that are available now!

Community Conference

Microsoft Power Platform Communities

Check out the Winners!

secondImage

Create an end-to-end data and analytics solution

Learn how Power BI works with the latest Azure data and analytics innovations at the digital event with Microsoft CEO Satya Nadella.

Top Solution Authors
Users online (716)